---
title: My Projects
layout: projects
projects:
  design:
    title: '🕹️ Gaming'
    children:
      - name: Ultralight
        desc: The prototype for a text based game written in Go.
        color: '#0078E7'
        url: https://git.vertinext.com/roryejinn/Ultralight
      - name: lotj-mudlet-ui
        desc: A custom mudlet User Interface for Legends of the Jedi, a star wars mud.
        color: '#22bbff'
        url: https://git.vertinext.com/roryejinn/lotj-mudlet-ui
      - name: Reach
        desc: Code for the now closed Reach Mush
        color: '#4682b4'
        github: ccubed/Reach
      - name: Requiem for Kingsmouth
        desc: Code for the now closed Requiem of Kingsmouth Mush
        color: '#e41c13'
        github: ccubed/RFK

  applets:
    title: '💡 Apps'
    children:
      - name: Requiem for Kingsmouth Web UI
        desc: Web based Admin dashboard and Player portal
        color: '#bff2d3'
        github: ccubed/RFKWeb
      - name: AngelBot
        desc: AngelBot was a self hosted Discord bot that ingested web APIs and displayed them in Discord.
        color: gray
        textColor: white
        github: ccubed/AngelBot
      - name: Sanxian
        desc: Sanxian was a self hosted Discord music bot that played music over voice channels.
        color: pink
        github: ccubed/Sanxian
      - name: Downloop
        desc: Downloop is a python based anonymous image uploader/storage platform using a Redis Cache and auto sharding.
        color: '#5387b1'
        github: ccubed/Downloop

  tools:
    title: 🔧 Tools and Libraries
    children:
      - name: AvalonUI
        color: '#2b7489'
        desc: Prototype for a universal Mudlet UI package.
        url: https://git.vertinext.com/roryejinn/AvalonUI
      - name: PyMoe
        desc: PyMoe is a python library that simplifies getting information on anima, manga, and light novels from various websites.
        color: steelblue
        github: ccubed/PyMoe
        docs: https://ccubed.github.io/PyMoe/
      - name: Earl
        desc: Earl is a C++ extension for Python compiled against CPython for working with External Term Format messages.
        github: ccubed/Earl
      - name: Dyslexml
        desc: Dyslexml is a Python library that makes working with XML easier.
        color: '#222'
        github: ccubed/Dyslexml
      - name: OTPy
        desc: Python 3 OTP Implementation that passes the RFC tests.
        color: '#f1e05a'
        github: ccubed/OTPy

  interesting:
    title: ⭐ Projects I Watch
    children:
      - name: X-Pipe
        color: '#4ea5f5'
        desc: X-Pipe is a great way to maintain and store the connection profiles for devices across your infrastructure.
        textColor: white
        github: xpipe-io/xpipe
        url: https://www.xpipe.io
      - name: Mermaid Live editor
        desc: A great web based app that allows you to use a simple syntax to create Mermaid diagrams and charts.
        color: '#8a91d0'
        textColor: white
        github: mermaid-js/mermaid-live-editor
      - name: GoMud
        desc: A MUD (Multi-User Dungeon) engine written in Go.
        color: '#20c077'
        textColor: white
        github: Volte6/GoMud
      - name: Sigma File Manager
        desc: An interesting take on the future of file managers that uses web technologies to unify all your data sources.
        color: red
        textColor: white
        github: aleksey-hoffman/sigma-file-manager
      - name: Monogatari
        desc: A Visual Novel Engine designed using web technologies that allow it to be easily ported across platforms and screen types.
        color: green
        github: Monogatari/Monogatari
      - name: Bubbletea
        desc: The best TUI interface I have ever come across written in Go. They also make some other amazing projects like [huh](https://github.com/charmbracelet/huh), [gum](https://github.com/charmbracelet/gum) and [wish](https://github.com/charmbracelet/wish).
        color: '#f8d0a0'
        github: charmbracelet/bubbletea
---
