import type { ThemeConfig } from 'valaxy-theme-gitlink'
import { defineConfig } from 'valaxy'

/**
 * User Config
 * do not use export const config to avoid defu conflict
 */
export default defineConfig<ThemeConfig>({
  siteConfig: {
    lang: 'en',
    title: 'Charles Click - Vertinext',
    url: 'https://www.vertinext.com/',
    author: {
      avatar: 'https://www.vertinext.com/images/Avatar.jpg',
      name: 'Charles Click',
      // intro: '希望能成为一个有趣的人。 希望能创造出可以成为他人回忆的事物。',
    },
    description: 'Portfolio of Charles Click and homepage of vertinext.com.',
    social: [
      {
        name: 'RSS',
        link: '/atom.xml',
        icon: 'i-ri-rss-line',
        color: 'orange',
      },
      {
        name: 'Gitea - roryejinn',
        link: 'https://git.vertinext.com/roryejinn',
        icon: 'i-ri-git-branch-line',
        color: '#12B7F5',
      },
      {
        name: 'GitHub - ccubed',
        link: 'https://github.com/ccubed',
        icon: 'i-ri-github-line',
        color: '#6e5494',
      },
      {
        name: 'Linkedin - Charles Click',
        link: 'https://www.linkedin.com/in/charles-click-b078a959/',
        icon: 'i-ri-linkedin-line',
        color: '#E6162D',
      },
      {
        name: 'Twitch.tv - Teshiko',
        link: 'https://www.twitch.tv/teshiko',
        icon: 'i-ri-twitch-line',
        color: '#007722',
      },
      {
        name: 'Keybase - cclick',
        link: 'https://keybase.io/cclick',
        icon: 'i-ri-key-line',
        color: '#C20C0C',
      },
      {
        name: 'E-Mail',
        link: 'mailto:click.charles.c@gmail.com',
        icon: 'i-ri-mail-line',
        color: '#8E71C1',
      },
    ],
    comment: {
      enable: false,
    },
  },

  theme: 'gitlink',

  themeConfig: {
    // colors: {
    //   primary: 'red',
    // },

    nav: [
      {
        text: 'Projects',
        link: '/projects',
      },
      {
        text: 'About',
        link: '/about',
      },
    ],

    footer: {
      since: 2024,
    },
  },
})
